Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class InitStateThresh

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.InitStateThresh

    public class InitStateThresh

extends Object

Used to initialize vectors of thresholds automatically. This program provides a method `getThresholds(CallCenterCTMC,int,int,boolean)` returning a matrix of thresholds. The program can also be called from the command-line to perform the initialization.

Constructor Summary
`InitStateThresh()`

Method Summary
`static int[][]` | `getThresholds(CallCenterCTMC ctmc, int numStateThresh, int numGroupSlices, boolean threshOnQueueSize)` Returns a matrix with `numStateThresh*numGroupSlices` rows representing vectors of thresholds.
`static void` | `main(String[] args)` Main method of the class, to be called from the command-line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitStateThresh

    public InitStateThresh()

Method Detail

### getThresholds

    public static int[][] getThresholds(CallCenterCTMC ctmc,
                                        int numStateThresh,
                                        int numGroupSlices,
                                        boolean threshOnQueueSize)

  Returns a matrix with `numStateThresh*numGroupSlices` rows representing vectors of thresholds. Columns i = 0,…, I - 1 of the returned matrix give thresholds for the number of agents while column I gives thresholds on the waiting queue. The vectors of thresholds are constructed based on the CTMC model `ctmc`. The constructed matrix has M = `numGroupSlices` sets of `numStateThresh` vectors of thresholds. Set m, for m = 0,…, M - 1, has thresholds with number of agents in (⌊m/M⌋,⌊(m + 1)/M⌋].

  Parameters:
    `ctmc` - the call center CTMC model.
    `numStateThresh` - the number of vectors of thresholds on the state.
    `numGroupSlices` - the number of slices for the number of agents in groups.
  Returns:
    the 2D array of thresholds.
  Throws:
    `NullPointerException` - if `ctmc` is `null`.
    `IllegalArgumentException` - if `numStateThresh` or `numGroupSlices` are smaller than 1.

### main

    public static void main(String[] args)

  Main method of the class, to be called from the command-line. This method accepts the name of the parameter file for the call center, the name of the parameter file for the experiments, the number of vectors of thresholds to create, and an ouput parameter file. The program computes the vectors of thresholds for each main period in the model, and outputs a modified version of the given experiment parameter file, with the vectors of thresholds.

  Parameters:
    `args` - the command-line arguments of the program.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.